varying vec2 	texCoord;
varying vec2	VPOS;
uniform vec3 	corner;
varying vec2 	texCoord1;
uniform vec2 	screensize;	// screen width and height

attribute vec3	s2_vertex;
attribute vec4	s2_texcoords; 

void main(void) 
{
	gl_Position = vec4(s2_vertex,1.0);
	texCoord=s2_texcoords.xy;
	texCoord1=texCoord.xy*screensize.xy/16.0;
	VPOS=(s2_vertex.xy*corner.xy)/corner.z;
}